Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.utils.io
Class StreamPipeThread

    java.lang.Object
      java.lang.Thread
          oracle.ifs.utils.io.StreamPipeThread

All Implemented Interfaces:
  java.lang.Runnable

    public class StreamPipeThread

extends java.lang.Thread

A thread that reads from an InputStream (or Reader) and optionally pipes the input to an OutputStream (or Writer).

(Unpublished)
Modified:
  lsaenz 10/10/2000 Fixed of-by-1 bug when writing to streams., lsaenz 04/28/2000 Moved to oracle.ifs.utils.io and added support for Readers and Writers., lsaenz 04/25/2000 Created.

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`StreamPipeThread(java.io.InputStream in)` Creates a StreamPipeThread that reads from an InputStream but does not pipe the input.
`StreamPipeThread(java.io.InputStream in, java.io.OutputStream out)` Creates a StreamPipeThread that reads from an InputStream and pipes the input to an OutputStream.
`StreamPipeThread(java.io.Reader rin)` Creates a StreamPipeThread that reads from a Reader but does not pipe the input.
`StreamPipeThread(java.io.Reader rin, java.io.Writer wout)` Creates a StreamPipeThread that reads from a Reader but does not pipe the input.

Method Summary
`void` | `run()` Reads input from a source and optionally pipes it to a sink.

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StreamPipeThread

    public StreamPipeThread(java.io.InputStream in)

  Creates a StreamPipeThread that reads from an InputStream but does not pipe the input.

### StreamPipeThread

    public StreamPipeThread(java.io.InputStream in,
                            java.io.OutputStream out)

  Creates a StreamPipeThread that reads from an InputStream and pipes the input to an OutputStream.

### StreamPipeThread

    public StreamPipeThread(java.io.Reader rin)

  Creates a StreamPipeThread that reads from a Reader but does not pipe the input.

### StreamPipeThread

    public StreamPipeThread(java.io.Reader rin,
                            java.io.Writer wout)

  Creates a StreamPipeThread that reads from a Reader but does not pipe the input.

Method Detail

### run

    public void run()

  Description copied from class: `StreamPipeThread`
  Reads input from a source and optionally pipes it to a sink.

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD